Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

python311-python-lsp-black-2.0.0-3.2 RPM for noarch

From OpenSuSE Tumbleweed for noarch

Name: python311-python-lsp-black Distribution: openSUSE Tumbleweed
Version: 2.0.0 Vendor: openSUSE
Release: 3.2 Build date: Wed Mar 20 17:46:44 2024
Group: Unspecified Build host: reproducible
Size: 27051 Source RPM: python-python-lsp-black-2.0.0-3.2.src.rpm
Packager: https://bugs.opensuse.org
Url: https://github.com/python-lsp/python-lsp-black
Summary: Black plugin for the Python LSP Server
Black plugin for the Python LSP Server

To avoid unexpected results you should make sure yapf and autopep8 are not installed.

- pyls-black can either format an entire file or just the selected text.
- The code will only be formatted if it is syntactically valid Python.
- Text selections are treated as if they were a separate Python file.
  Unfortunately this means you can't format an indented block of code.
- python-lsp-black will use your project's pyproject.toml if it has one.

Provides

Requires

License

MIT

Changelog

* Wed Mar 20 2024 Ben Greiner <code@bnavigator.de>
  - Skip syntax error test, failig with black 24.3
    * gh#python-lsp/python-lsp-black#57
* Sun Mar 03 2024 Ben Greiner <code@bnavigator.de>
  - Add python-lsp-black-pr56-black24.2.patch
    gh#python-lsp/python-lsp-black#56
* Fri Jan 05 2024 Dirk Müller <dmueller@suse.com>
  - update to 2.0.0:
    * Add support to format indented selections of code. This
      requires Black 23.11.0+
    * Change entrypoint name to be `black`. This changes the
      options namespace for this plugin from `pylsp.pylsp_black`
      to `pylsp.black`.
    * Drop support for Python 3.7.
* Wed Nov 01 2023 Ben Greiner <code@bnavigator.de>
  - Revert the last change. The error message was genuine and showed
    a dependency issue.
* Wed Nov 01 2023 Steve Kowalik <steven.kowalik@suse.com>
  - Be clear that we require lsp-jsonrpc, because the test suite does.
* Sat Jul 01 2023 Ben Greiner <code@bnavigator.de>
  - Update to 1.3.0
    * Support for black's preview and skip-magic-trailing-comma
      config options.
    * Better TOML support.
* Thu Oct 27 2022 Ben Greiner <code@bnavigator.de>
  - Update to 1.2.1
    * This release disables autopep8 and yapf plugins to avoid
      conflicts with black.
    * black minimum version has been increased to 22.3.0 because of
      an incompatibility with new versions of click.
  - Enable test suite
* Sat Apr 09 2022 Ben Greiner <code@bnavigator.de>
  - Fix runtime requirement for black
* Sat Apr 09 2022 Ben Greiner <code@bnavigator.de>
  - Update to 1.2.0
    * This release fixes formatting of Python files with non-UNIX
      line endings, adds plugin configuration support and black
      configuration caching to improve performance.
    * Official support for Python 3.10 by @wlcx (PR 31).
    * Correctly format files and ranges with line endings other than
      LF by @ccordoba12 (PR 28).
    * Plugin configuration support and black configuration caching by
      @ccordoba12 and @haplo (PR 26).
    * Fixed PyPI badge in Readme (PR 32).
    * Updated pre-commit hooks' versions (PR 33).
* Fri Mar 25 2022 Ben Greiner <code@bnavigator.de>
  - Update to 1.1.0
    * Support global config as a fallback by @jdost in #19
    * Fix TypeError when formatting with black 22.1.0+ by @wlcx in
      [#30]
* Tue Jul 13 2021 Ben Greiner <code@bnavigator.de>
  - Initial specfile for version 1.0.0
    * The python-lsp-server version for python-pyls-black, which was
      for the python-python-language-server abandoned by upstream.
    * required by spyder.

Files

/usr/lib/python3.11/site-packages/pylsp_black
/usr/lib/python3.11/site-packages/pylsp_black/__init__.py
/usr/lib/python3.11/site-packages/pylsp_black/__pycache__
/usr/lib/python3.11/site-packages/pylsp_black/__pycache__/__init__.cpython-311.opt-1.pyc
/usr/lib/python3.11/site-packages/pylsp_black/__pycache__/__init__.cpython-311.pyc
/usr/lib/python3.11/site-packages/pylsp_black/__pycache__/plugin.cpython-311.opt-1.pyc
/usr/lib/python3.11/site-packages/pylsp_black/__pycache__/plugin.cpython-311.pyc
/usr/lib/python3.11/site-packages/pylsp_black/plugin.py
/usr/lib/python3.11/site-packages/python_lsp_black-2.0.0.dist-info
/usr/lib/python3.11/site-packages/python_lsp_black-2.0.0.dist-info/INSTALLER
/usr/lib/python3.11/site-packages/python_lsp_black-2.0.0.dist-info/LICENSE
/usr/lib/python3.11/site-packages/python_lsp_black-2.0.0.dist-info/METADATA
/usr/lib/python3.11/site-packages/python_lsp_black-2.0.0.dist-info/RECORD
/usr/lib/python3.11/site-packages/python_lsp_black-2.0.0.dist-info/REQUESTED
/usr/lib/python3.11/site-packages/python_lsp_black-2.0.0.dist-info/WHEEL
/usr/lib/python3.11/site-packages/python_lsp_black-2.0.0.dist-info/entry_points.txt
/usr/lib/python3.11/site-packages/python_lsp_black-2.0.0.dist-info/top_level.txt
/usr/share/doc/packages/python311-python-lsp-black
/usr/share/doc/packages/python311-python-lsp-black/README.md


Generated by rpm2html 1.8.1

Fabrice Bellet, Fri May 24 23:52:34 2024